<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package rubik-theme
 */

?>      
        <?php if(get_theme_mod('get-started-title')) : ?>
        <section class="get-started" style="background-image: url(<?php echo get_theme_mod( 'get-started-img' ); ?>)">
            <div class="container">
                <h2><?php echo get_theme_mod( 'get-started-title' ) ?></h2>
                <p><?php echo get_theme_mod( 'get-started-subtitle' ) ?></p>
                <a href="<?php echo get_theme_mod( 'get-started-btn-link' ) ?>" class="button"><?php echo get_theme_mod( 'get-started-btn-title' ) ?></a>
            </div>
        </section>
        <?php endif; ?>
    </div><!-- #content -->

    <footer>
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-sm-12">
                    <ul>
                        <?php if(get_theme_mod('facebook')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'facebook' ) ?>"><i class="fa fa-facebook"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('twitter')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'twitter' ) ?>"><i class="fa fa-twitter"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('instagram')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'instagram' ) ?>"><i class="fa fa-instagram"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('rss')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'rss' ) ?>"><i class="fa fa-rss"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('google-plus')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'google-plus' ) ?>"><i class="fa fa-google-plus"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('linkedin')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'linkedin' ) ?>"><i class="fa fa-linkedin"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('skype')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'skype' ) ?>"><i class="fa fa-skype"></i></a></li>
                        <?php endif; ?>
                        <?php if(get_theme_mod('vimeo')) : ?>
                            <li><a href="<?php echo get_theme_mod( 'vimeo' ) ?>"><i class="fa fa-vimeo"></i></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
                <div class="col-md-6 col-sm-12">
                    <p><a href="https://rubik-technologies.com/">Rubik Technologies</a></p>
                </div>
            </div>
        </div>
    </footer>

</div><!-- #page -->

<?php wp_footer(); ?>

<script type="text/javascript">
    window.odometerOptions = {
        format: '(,ddd)',
    };
    $(window).on('resize scroll', function() {
        $('.odometer').each(function() {
            if ($(this).isInViewport()) {

                setTimeout(function(){
                    $('.odometer.first').html(<?php the_field('stat_number_1') ?>);
                    $('.odometer.second').html(<?php the_field('stat_number_2') ?>);
                    $('.odometer.third').html(<?php the_field('stat_number_3') ?>);
                    $('.odometer.fourth').html(<?php the_field('stat_number_4') ?>);
                    $('.odometer.fifth').html(<?php the_field('stat_number_5') ?>);
                }, 0);
            }
        });
    });
</script>

</body>
</html>
