<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package rubik-theme
 */

get_header();
?>

	<div id="primary" class="content-area">
		<main id="main" class="container">
			<div class="row general-page search-page">
				<div class="col-md-8">
					<?php if ( have_posts() ) : ?>
							<h2 class="page-title">
								<?php
								/* translators: %s: search query. */
								printf( esc_html__( 'Search Results for: %s', 'rubik-theme' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h2>
						<div class="row">
							<?php while ( have_posts() ) :
								the_post();
								get_template_part( 'template-parts/content', 'search' );
							endwhile; ?>
						</div>
					<?php else :
						get_template_part( 'template-parts/content', 'none' );
					endif;
					?>
				</div>

				<div class="col-md-4">
					<?php get_sidebar(); ?>
				</div>
			</div><!-- #primary -->
		</main>
	</div>

<?php
get_footer();
