<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package rubik-theme
 */

get_header();
?>

	<div id="primary" class="content-area">
        <main id="main" class="container">
            <div class="general-page single-page">

    		<?php while ( have_posts() ) : the_post(); ?>
    			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                    <div class="single-portfolio">
                        <div class="row">
                            <div class="col-md-7">
                                <div class="single-portfolio--image">
                                    <img src="<?php the_field('image') ?>" alt="">
                                </div>
                            </div>
                            <div class="col-md-5">
                                <h2><?php the_title() ?></h2>
                                <?php if(get_field('subtitle')) : ?><p><?php the_field('subtitle') ?></p><?php endif; ?>
                                <ul>
                                    <?php if(get_field('specification_1')) : ?>
                                    <li>
                                        <span><?php the_field('specification_1') ?></span>
                                        <?php the_field('specification_1_1') ?>
                                    </li>
                                    <?php endif; ?>
                                    <?php if(get_field('specification_2')) : ?>
                                    <li>
                                        <span><?php the_field('specification_2') ?></span>
                                        <?php the_field('specification_2_1') ?>
                                    </li>
                                    <?php endif; ?>
                                    <?php if(get_field('specification_3')) : ?>
                                    <li>
                                        <span><?php the_field('specification_3') ?></span>
                                        <?php the_field('specification_3_1') ?>
                                    </li>
                                    <?php endif; ?>
                                </ul>
                                <?php if(get_field('project_link')) : ?>
                                    <a href="<?php the_field('project_link') ?>" class="button" target="_blank">Visit Project</a>
                                <?php endif; ?> 
                            </div>
                        </div>
                    </div>
    			</article><!-- #post-<?php the_ID(); ?> -->
    		<?php endwhile; ?>
            </div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
