<?php
/*
 * Template Name: About
 */
?>
<?php get_header(); ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="our-history">
    <div class="container">
        <div class="row">
            <div class="col-md-5 col-sm-12 col-xs-12">
                <img src="<?php the_field('history_image') ?>" alt="" />
            </div>
            <div class="col-md-7 col-sm-12 col-xs-12">
                <h2><?php the_field('history_title') ?></h2>
                <div><?php the_field('history_description') ?></div>
                <a href="<?php the_field('history_link') ?>" class="button"><?php the_field('history_button') ?></a>
            </div>
        </div>
    </div>
</section>

<section class="our-team" style="background-image: url(<?php the_field('team_background') ?>);">
    <div class="container">
        <h2><?php the_field('team_title') ?></h2>
        <p><?php the_field('team_description') ?></p>
        <span class="dot-dash dark">.</span>
        <div class="our-team--container">
            <?php if(get_field('team_name_1')) : ?>
            <div class="our-team--item">
                <div class="our-team--item__image">
                    <img src="<?php the_field('team_photo_1') ?>" alt="" />
                </div>
                <div class="our-team--item__info">
                    <h3><?php the_field('team_name_1') ?></h3>
                    <h5><?php the_field('team_position_1') ?></h5>
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('team_name_2')) : ?>
            <div class="our-team--item">
                <div class="our-team--item__image">
                    <img src="<?php the_field('team_photo_2') ?>" alt="" />
                </div>
                <div class="our-team--item__info">
                    <h3><?php the_field('team_name_2') ?></h3>
                    <h5><?php the_field('team_position_2') ?></h5>
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('team_name_3')) : ?>
            <div class="our-team--item">
                <div class="our-team--item__image">
                    <img src="<?php the_field('team_photo_3') ?>" alt="" />
                </div>
                <div class="our-team--item__info">
                    <h3><?php the_field('team_name_3') ?></h3>
                    <h5><?php the_field('team_position_3') ?></h5>
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('team_name_4')) : ?>
            <div class="our-team--item">
                <div class="our-team--item__image">
                    <img src="<?php the_field('team_photo_4') ?>" alt="" />
                </div>
                <div class="our-team--item__info">
                    <h3><?php the_field('team_name_4') ?></h3>
                    <h5><?php the_field('team_position_4') ?></h5>
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('team_name_5')) : ?>
            <div class="our-team--item">
                <div class="our-team--item__image">
                    <img src="<?php the_field('team_photo_5') ?>" alt="" />
                </div>
                <div class="our-team--item__info">
                    <h3><?php the_field('team_name_5') ?></h3>
                    <h5><?php the_field('team_position_5') ?></h5>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>

<section class="our-history-about">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <h2><?php the_field('evolution_title') ?></h2>
                <p><?php the_field('evolution_description') ?></p>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <ul class="timeline">
                    <?php
                        $args = array( 'post_type' => 'evolution', 'posts_per_page' => 10, 'order' => 'ASC' );
                        $the_query = new WP_Query( $args );
                    ?>
                        <?php if ( $the_query->have_posts() ) : ?>
                            <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                                <?php $number = $the_query->current_post; ?>
                                    <?php if($number % 2 == 0) : ?>
                                        <li>
                                            <div class="timeline-image">
                                                <img class="rounded-circle img-fluid" src="<?php the_post_thumbnail_url() ?>" alt="">
                                            </div>
                                            <div class="timeline-panel">
                                                <div class="timeline-heading">
                                                    <h4><?php the_field('time') ?></h4>
                                                    <h4 class="subheading"><?php the_title() ?></h4>
                                                </div>
                                                <div class="timeline-body">
                                                    <p class="text-muted"><?php the_field('description') ?></p>
                                                </div>
                                            </div>
                                        </li>
                                    <?php else : ?>
                                        <li class="timeline-inverted">
                                            <div class="timeline-image">
                                                <img class="rounded-circle img-fluid" src="<?php the_post_thumbnail_url() ?>" alt="">
                                            </div>
                                            <div class="timeline-panel">
                                                <div class="timeline-heading">
                                                    <h4><?php the_field('time') ?></h4>
                                                    <h4 class="subheading"><?php the_title() ?></h4>
                                                </div>
                                                <div class="timeline-body">
                                                    <p class="text-muted"><?php the_field('description') ?></p>
                                                </div>
                                            </div>
                                        </li>
                                    <?php endif; ?>
                            <?php endwhile; ?>
                        <?php endif; ?>
                    <li class="timeline-inverted">
                        <div class="timeline-image">
                            <h4>Be Part <br>Of Our <br>Story!</h4>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</section>
<?php endwhile; ?>

<?php get_footer(); ?>
