<?php
/*
 * Template Name: Homepage
 */
?>
<?php get_header(); ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="four-elements">
    <div class="container">
        <div class="row">
            <?php if(get_field('title_1')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_1') ?></div>
                <h3><?php the_field('title_1') ?></h3>
                <p><?php the_field('description_1') ?></p>
            </div>
            <?php endif; ?>
            <?php if(get_field('title_2')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_2') ?></div>
                <h3><?php the_field('title_2') ?></h3>
                <p><?php the_field('description_2') ?></p>
            </div>
            <?php endif; ?>
            <?php if(get_field('title_3')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_3') ?></div>
                <h3><?php the_field('title_3') ?></h3>
                <p><?php the_field('description_3') ?></p>
            </div>
            <?php endif; ?>
            <?php if(get_field('title_4')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_4') ?></div>
                <h3><?php the_field('title_4') ?></h3>
                <p><?php the_field('description_4') ?></p>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>

<section class="our-history">
    <div class="container">
        <div class="row">
            <?php if(get_field('history_title')) : ?>
            <div class="col-md-5 col-sm-12 col-xs-12">
                <img src="<?php the_field('history_image') ?>" alt="" />
            </div>
            <div class="col-md-7 col-sm-12 col-xs-12">
                <h2><?php the_field('history_title') ?></h2>
                <div><?php the_field('history_description') ?></div>
                <a href="<?php the_field('history_link') ?>" class="button"><?php the_field('history_button') ?></a>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>

<section class="case-study">
    <div class="container">
        <h2><?php the_field('case_title') ?></h2>
        <p><?php the_field('case_desc') ?></p>
        <span class="dot-dash dark">.</span>
    </div>
    <div class="container">
        <?php
            $args = array( 'post_type' => 'case_slider', 'posts_per_page' => 10 );
            $the_query = new WP_Query( $args );
        ?>
        <div class="case-study--sliders">
            <div class="case-study--left">
                <div class="case-study--left__textslider">
                    <?php if ( $the_query->have_posts() ) : ?>
                        <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                            <div>
                                <div class="case-study--left__textslider__image"><?php the_field('case_icon') ?></div>
                                <h4><?php the_title() ?></h4>
                                <p><?php echo wp_trim_words(get_the_content(), '40', '...'); ?></p>
                                <a href="<?php the_permalink() ?>" class="button small">Read More</a>
                            </div>
                        <?php endwhile; ?>
                    <?php endif; ?>
                </div>
                <div class="case-study--left__dots"></div>
            </div>
            <div class="case-study--right">
                <div class="case-study--right__imageslider">
                    <?php if ( $the_query->have_posts() ) : ?>
                        <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                            <div>
                                <img src="<?php the_post_thumbnail_url('full') ?>" alt="" />
                            </div>
                        <?php endwhile; ?>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>
<?php endwhile; ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="statistics" style="background-image: url(<?php the_field('statistics_image') ?>)">
    <div class="container">
        <?php if(get_field('stat_title_1')) : ?>
        <div class="statistics--item">
            <div class="statistics--item__image"><?php the_field('stat_icon_1') ?></div>
            <h3 class="odometer first">0</h3>
            <h5><?php the_field('stat_title_1') ?></h5>
        </div>
        <?php endif; ?>
        <?php if(get_field('stat_title_2')) : ?>
        <div class="statistics--item">
            <div class="statistics--item__image"><?php the_field('stat_icon_2') ?></div>
            <h3 class="odometer second">0</h3>
            <h5><?php the_field('stat_title_2') ?></h5>
        </div>
        <?php endif; ?>
        <?php if(get_field('stat_title_3')) : ?>
        <div class="statistics--item">
            <div class="statistics--item__image"><?php the_field('stat_icon_3') ?></div>
            <h3 class="odometer third">0</h3>
            <h5><?php the_field('stat_title_3') ?></h5>
        </div>
        <?php endif; ?>
        <?php if(get_field('stat_title_4')) : ?>
        <div class="statistics--item">
            <div class="statistics--item__image"><?php the_field('stat_icon_4') ?></div>
            <h3 class="odometer fourth">0</h3>
            <h5><?php the_field('stat_title_4') ?></h5>
        </div>
        <?php endif; ?>
        <?php if(get_field('stat_title_5')) : ?>
        <div class="statistics--item">
            <div class="statistics--item__image"><?php the_field('stat_icon_5') ?></div>
            <h3 class="odometer fifth">0</h3>
            <h5><?php the_field('stat_title_5') ?></h5>
        </div>
        <?php endif; ?>
    </div>
</section>

<section class="partners">
    <div class="container">
        <h2><?php the_field('int_title') ?></h2>
        <p><?php the_field('int_description') ?></p>
        <span class="dot-dash dark">.</span>
        <div class="partners--container">
            <?php if(get_field('int_company_1')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_1') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_2')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_2') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_3')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_3') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_4')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_4') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_5')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_5') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_6')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_6') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_7')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_7') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_8')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_8') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_9')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_9') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_10')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_10') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>

<?php endwhile; ?>

<?php get_footer(); ?>
