<?php
    $args = array( 'post_type' => 'slider', 'posts_per_page' => 10 );
    $the_query = new WP_Query( $args );
?>
<div class="home-slider">
    <div class="home-slider--wrapper">
        <?php if ( $the_query->have_posts() ) : ?>
            <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                <div>
                    <div class="home-slider--wrapper__inner" style="background-image: url(<?php the_post_thumbnail_url(); ?>)">
                        <div class="container">
                            <?php if(get_field('subtitle')) : ?><h3><?php the_field('subtitle') ?></h3><?php endif; ?>
                            <h1><?php the_title() ?></h1>
                            <span class="dot-dash">.</span>
                            <?php the_excerpt() ?>
                            <div class="slider-buttons">
                                <?php if(get_field('link_one_title')) : ?>
                                    <a href="<?php the_field('link_one_url') ?>" class="button"><?php the_field('link_one_title') ?></a>
                                <?php endif; ?> 
                                <?php if(get_field('link_two_title')) : ?>
                                    <a href="<?php the_field('link_two_url') ?>" class="button button-w"><?php the_field('link_two_title') ?></a>
                                <?php endif; ?> 
                            </div>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        <?php endif; ?>
    </div>
    <div class="home-slider--nav">
        <div class="prev"><i class="fa fa-angle-left" aria-hidden="true"></i></div>
        <div class="next"><i class="fa fa-angle-right" aria-hidden="true"></i></div>
    </div>
    <div class="home-slider--anchor">
        <span><i class="fa fa-anchor" aria-hidden="true"></i></span>
    </div>
</div>
