<?php
/*
 * Template Name: Portfolio
 */
?>
<?php get_header(); ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="recent-works">
    <div class="container">
        <h2>Recent Works</h2>
        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry.</p>
        <span class="dot-dash dark">.</span>
        <div class="recent-works--nav">
            <ul>
                <li class="active" data-filter="*">All Items</li>
                <?php 
                    $terms = get_terms(
                        array(
                            'taxonomy'   => 'types',
                            'hide_empty' => false,
                        )
                    );
                ?>
                <?php if ( ! empty( $terms ) && is_array( $terms ) ) : ?>
                    <?php foreach ( $terms as $term ) : ?>
                        <li data-filter=".<?php echo $term->slug; ?>"><?php echo $term->name; ?></li>
                    <?php endforeach; ?>
                <?php endif; ?>
            </ul>
        </div>
    </div>
    <div class="recent-works--items">
        <?php
            $args = array( 'post_type' => 'portfolio', 'posts_per_page' => 12 );
            $the_query = new WP_Query( $args );
        ?>
        <?php if ( $the_query->have_posts() ) : ?>
            <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                <?php 
                    $taxonomy = get_the_terms($post, 'types');
                    $tax_name = $taxonomy[0]->name;
                    $tax_slug = $taxonomy[0]->slug;
                ?>
                <div class="recent-works--items__item <?php echo $tax_slug ?>">
                    <a href="<?php the_permalink() ?>">
                        <img src="<?php the_post_thumbnail_url() ?>" alt="">
                        <div class="inner-item">
                            <div>
                                <h4><?php the_title() ?></h4>
                                <p><?php echo $tax_name; ?></p>
                            </div>
                        </div>
                    </a>
                </div>
            <?php endwhile; ?>
        <?php endif; ?>
    </div>
</section>
<?php endwhile; ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="partners">
    <div class="container">
        <h2><?php the_field('int_title') ?></h2>
        <p><?php the_field('int_description') ?></p>
        <span class="dot-dash dark">.</span>
        <div class="partners--container">
            <?php if(get_field('int_company_1')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_1') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_2')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_2') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_3')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_3') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_4')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_4') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_5')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_5') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_6')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_6') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_7')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_7') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_8')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_8') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_9')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_9') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('int_company_10')) : ?>
            <div class="partners--item">
                <div class="partners--item__image">
                    <img src="<?php the_field('int_company_10') ?>" alt="">
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>
<?php endwhile; ?>

<?php get_footer(); ?>
