<?php
/*
 * Template Name: Services
 */
?>
<?php get_header(); ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="four-elements">
    <div class="container">
        <div class="row">
            <?php if(get_field('title_1')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_1') ?></div>
                <h3><?php the_field('title_1') ?></h3>
                <p><?php the_field('description_1') ?></p>
            </div>
            <?php endif; ?>
            <?php if(get_field('title_2')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_2') ?></div>
                <h3><?php the_field('title_2') ?></h3>
                <p><?php the_field('description_2') ?></p>
            </div>
            <?php endif; ?>
            <?php if(get_field('title_3')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_3') ?></div>
                <h3><?php the_field('title_3') ?></h3>
                <p><?php the_field('description_3') ?></p>
            </div>
            <?php endif; ?>
            <?php if(get_field('title_4')) : ?>
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="four-elements--image"><?php the_field('icon_4') ?></div>
                <h3><?php the_field('title_4') ?></h3>
                <p><?php the_field('description_4') ?></p>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>

<section class="our-services">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h2><?php the_field('service_title') ?></h2>
                <div class="our-services--element">
                    <h4><?php the_field('service_subtitle_1') ?></h4>
                    <p><?php the_field('service_desc_1') ?></p>
                    <div class="our-services--element__image"><?php the_field('service_icon_1') ?></div>
                </div>
                <div class="our-services--element">
                    <h4><?php the_field('service_subtitle_2') ?></h4>
                    <p><?php the_field('service_desc_2') ?></p>
                    <div class="our-services--element__image"><?php the_field('service_icon_2') ?></div>
                </div>
                <div class="our-services--element">
                    <h4><?php the_field('service_subtitle_3') ?></h4>
                    <p><?php the_field('service_desc_3') ?></p>
                    <div class="our-services--element__image"><?php the_field('service_icon_3') ?></div>
                </div>
            </div>
        </div>
    </div>
    <?php
        $args = array( 'post_type' => 'service_slider', 'posts_per_page' => 10 );
        $the_query = new WP_Query( $args );
    ?>
    <div class="our-services--slider">
        <?php if ( $the_query->have_posts() ) : ?>
            <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
                <div>
                    <img src="<?php the_post_thumbnail_url() ?>" alt="" />
                </div>
            <?php endwhile; ?>
        <?php endif; ?>
    </div>
    <div class="our-services--dots"></div>
</section>
<?php endwhile; ?>

<?php while ( have_posts() ) : the_post() ; ?>
<section class="our-pricing">
    <div class="container">
        <h2><?php the_field('price_title') ?></h2>
        <p><?php the_field('price_description') ?></p>
        <span class="dot-dash dark">.</span>
        <div class="row">
            <?php if(get_field('package_name_1')) : ?>
            <div class="col-md-4">
                <div class="our-pricing--package">
                    <h3><?php the_field('package_name_1') ?></h3>
                    <div class="our-pricing--package__data">
                        <span><b>$<?php the_field('package_price_1') ?></b>per month</span>
                        <ul>
                            <li><?php the_field('package_specs_1_1') ?></li>
                            <li><?php the_field('package_specs_1_2') ?></li>
                            <li><?php the_field('package_specs_1_3') ?></li>
                            <li><?php the_field('package_specs_1_4') ?></li>
                        </ul>
                        <a href="<?php the_field('package_link_1') ?>" class="button small">Choose Plan</a>
                    </div>
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('package_name_2')) : ?>
            <div class="col-md-4">
                <div class="our-pricing--package starred">
                    <h3><?php the_field('package_name_2') ?></h3>
                    <div class="our-pricing--package__data">
                        <span><b>$<?php the_field('package_price_2') ?></b>per month</span>
                        <ul>
                            <li><?php the_field('package_specs_2_1') ?></li>
                            <li><?php the_field('package_specs_2_2') ?></li>
                            <li><?php the_field('package_specs_2_3') ?></li>
                            <li><?php the_field('package_specs_2_4') ?></li>
                        </ul>
                        <a href="<?php the_field('package_link_2') ?>" class="button small">Choose Plan</a>
                    </div>
                </div>
            </div>
            <?php endif; ?>
            <?php if(get_field('package_name_3')) : ?>
            <div class="col-md-4">
                <div class="our-pricing--package">
                    <h3><?php the_field('package_name_3') ?></h3>
                    <div class="our-pricing--package__data">
                        <span><b>$<?php the_field('package_price_3') ?></b>per month</span>
                        <ul>
                            <li><?php the_field('package_specs_3_1') ?></li>
                            <li><?php the_field('package_specs_3_2') ?></li>
                            <li><?php the_field('package_specs_3_3') ?></li>
                            <li><?php the_field('package_specs_3_4') ?></li>
                        </ul>
                        <a href="<?php the_field('package_link_3') ?>" class="button small">Choose Plan</a>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>
<?php endwhile; ?>

<?php get_footer(); ?>
